Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::MetaDataChangedEvent Struct Reference

Event: Sensor metadata has changed. More...

Inheritance diagram for sensors::NumericSensor::MetaDataChangedEvent:

## Public Attributes
MetaData | oldMetaData
| Metadata before change.
MetaData | newMetaData
| Metadata after change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Sensor metadata has changed.

Definition at line 173 of file NumericSensor.idl.

## Member Data Documentation

## ◆ newMetaData

MetaData sensors::NumericSensor::MetaDataChangedEvent::newMetaData

Metadata after change.

Definition at line 175 of file NumericSensor.idl.

## ◆ oldMetaData

MetaData sensors::NumericSensor::MetaDataChangedEvent::oldMetaData

Metadata before change.

Definition at line 174 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl